<?php
/*****************************
/* 1-1.カスタム投稿タイプ追加  *
/*****************************

//カスタム投稿タイプ追加用のwpのアクションフック"init"*/
add_action( 'init', 'custum_post_type' );  
/*ファンクション名custum_post_type""*/
function custum_post_type() {

	//カスタム投稿（お知らせ）
	register_post_type( 'info',     // カスタム投稿名(半角英字)
		array('labels' =>
		    array(
		    'name' => __( 'お知らせ' ), //管理画面に表示される文字（日本語OK)
                    'singular_name' => __( 'お知らせ' )
                     ),
        //投稿タイプの設定
               'public' => true, //公開するかしないか(デフォルト"true")
               'has_archive' => true, //trueにすると投稿した記事のアーカイブページを生成
               //投稿編集ページの設定
               'supports' => array('title','editor','thumbnail', //タイトル，編集，アイキャッチ対応
               'custom-fields','excerpt','author','trackbacks') //カスタムフィールド，抜粋文＆作成者，トラックバック対応
        )
 );
}
?>